% this function gets the grouping of the histograms and performes microaggregation based on the groupings
function [histMicrAgg]=histMicrAgg(histVec, grouping)

histMicrAgg=histVec;

nGroups=size(grouping,1);

for groupIter=1:nGroups
    indice=grouping(groupIter,:);
    indice(indice==0)=[];
    histAvr=mean(histVec(indice,:),1);
    histMicrAgg(indice,:)=repmat(histAvr,[length(indice), 1]);
end
   